Bug 145250 - kernel and ACPI - sleeping function at mm/slab.c:2061
kernel and ACPI - sleeping function at mm/slab.c:2061
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-01-15 17:48 EST by Michal Jaegermann
Modified: 2015-01-04 17:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-16 02:10:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2005-01-15 17:48:50 EST
Description of problem:

This looks like something somewhat different than #127838.

After a return of a laptop from a suspend the following debug
messages show up as the first thing in logs:

Back to C!
Debug: sleeping function called from invalid context at mm/slab.c:2061
in_atomic():0, irqs_disabled():1
 [<c01185dc>] __might_sleep+0x80/0x8a
 [<c014659e>] __kmalloc+0x40/0x76
 [<c01ec72d>] acpi_os_allocate+0xa/0xb
 [<c01ffdb4>] acpi_ut_callocate+0x36/0x82
 [<c01ffce8>] acpi_ut_initialize_buffer+0x46/0x85
 [<c01fccaa>] acpi_rs_create_byte_stream+0x23/0x39
 [<c01fe016>] acpi_rs_set_srs_method_data+0x1b/0x9d
 [<c0205329>] acpi_pci_link_set+0xde/0x155
 [<c02056af>] irqrouter_resume+0x1c/0x30
 [<c023b3c7>] sysdev_resume+0x3e/0xc7
 [<c023e582>] device_power_up+0x5/0xa
 [<c0137cae>] suspend_enter+0x25/0x2d
 [<c0137d14>] enter_state+0x37/0x53
 [<c0137e0b>] state_store+0x7e/0x93
 [<c0137d8d>] state_store+0x0/0x93
 [<c019e854>] subsys_attr_store+0x19/0x21
 [<c019ea22>] flush_write_buffer+0x20/0x25
 [<c019ea69>] sysfs_write_file+0x42/0x63
 [<c015eb22>] vfs_write+0xb8/0xe4
 [<c015ebec>] sys_write+0x3c/0x62
 [<c010339f>] syscall_call+0x7/0xb

After that a laptop seems to be generally fine (with an exception
of a floppy - see bug #127163).

Version-Release number of selected component (if applicable):

How reproducible:
Comment 1 Michal Jaegermann 2005-01-17 11:54:38 EST
A very similar, although not entirely the same in all details,
traceback shows up with kernel-2.6.10-1.741_FC3.  I cannot be
entirely sure a laptop on which I tried that immediately locks up
upon a return from a suspend but not before part of a screen
with the above already scrolled up.  No traces in logs. I am not
even sure that this is a debug output as this vanishes too fast.
Maybe a serial console would be a possibility if that is important

The same laptop goes to sleep with apm but for about, oh, ten seconds
after which it happily auto-wakes up ready for further action.  Sigh!
Comment 2 Michal Jaegermann 2005-03-12 16:23:36 EST
2.6.10-1.770_FC2 sports really the same message.
Comment 3 Dave Jones 2005-04-16 02:10:21 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.